pmount-hal(1)

NAME
pmount-hal - HAL-aware wrapper around pmount

SYNOPSIS
pmount-hal device [ pmount options ]

DESCRIPTION
pmount ("policy mount") is a wrapper around the standard mount program which permits normal users to mount removable devices without a matching /etc/fstab entry. pmount-hal extends pmount by making it work together with hal (Hardware Abstration Layer). pmount-hal will ask hal about values for certain mount flags (like noatime and async) and the prefered mount point name and pass it to pmount, thus respecting the configured device storage policy. The first parameter (device) must be the HAL UDI or the device node of the device to be mounted. All further parameters are passed to pmount unchanged.

ENVIRONMENT

PMOUNT_DEBUG
    Setting this variable to a nonempty value will enable debug messages.

SEE ALSO
pmount(1), hald(8),

AUTHOR
pmount is developed by Martin Pitt <martin.pitt@canonical.com>.